# ------------------------------------------------------------------------
# NAME: QueryEventLogForTimeErrors.ps1
# AUTHOR: ed wilson, Microsoft
# DATE: August 22,2008
#
# KEYWORDS: Get-EventLog, DateTime 
#
# COMMENTS: This queries the event log on a local
# machine and filters out the entries received today 
# realted to time. 
#
#
# ------------------------------------------------------------------------

Get-EventLog -LogName system | 
Where-Object { $_.timegenerated -ge [datetime]::today -AND $_.source -eq 'w32time' } |
Format-Table -Property TimeGenerated, entrytype, message -AutoSize -Wrap