# ==============================================================================================
# 
# NAME:QueryComputersComADO.ps1
# 
# AUTHOR: Ed Wilson , microsoft
# DATE  : 10/4/2008
# 
# COMMENT: Illustrates the fundamentals of searching AD using ADO
#1. Defines the query using LDAP dialect
#2. Creates two new objects: adodb.connection and adodb.command
#3. Uses ADsDSOobject provider to search AD
#4. Creates record set by using the execute() method
#5. Uses do ... until statement. Uses select-object cmdlet to filter out name and value
#6. Abstracts the ADO query into four easily modified variables. The filter retrieves computers
# ==============================================================================================
$strBase = "<LDAP://dc=nwtraders,dc=com>"
$strFilter = "(objectCategory=computer)"
$strAttributes = "name"
$strScope = "subtree"
$strQuery = "$strBase;$strFilter;$strAttributes;$strScope"

$objConnection = New-Object -ComObject "ADODB.Connection"
$objCommand = New-Object -ComObject "ADODB.Command"
$objConnection.Open("Provider=ADsDSOObject;")
$objCommand.ActiveConnection = $objConnection
$objCommand.CommandText = $strQuery
$objRecordSet = $objCommand.Execute()

Do
{
    $objRecordSet.Fields.item("name").Value 
    $objRecordSet.MoveNext()
}
Until ($objRecordSet.eof) 

$objConnection.Close()
